/*
 * Copyright FUOC.  All rights reserved.
 * @author Vicen Font Sagrist, 2012
 */
package edu.uoc.eAquarium.integration.Perfil;
import java.io.Serializable;
import java.util.*;
import javax.persistence.*;

/**
 * JPA Class PerfilJPA
 */
@Entity
@Table(name="tfcaquarium.perfiles")
public class PerfilJPA implements Serializable {
 
	private static final long serialVersionUID = 1L;

	private String id;
	private String name;
	private String description;

	
	/**
	 * Class constructor methods
	 */
	public PerfilJPA() {
		super();
	}	
	
	public PerfilJPA(String name) {		
		this.name = name;
	}
	
	@Id
	public String getId() {
		return id;
	}
	
	public void setId(String id) {
		this.id = id;
	}
	
	public String getName() {
		return name;
	}
	
	public void setName(String name) {
		this.name = name;
	}
	
	public String getDescription() {
		return description;
	}
	
	public void setDescription(String description) {
		this.description = description;
	}
	
	
}
