/*
 * Copyright FUOC.  All rights reserved.
 * @author Vicen Font Sagrist, 2012
 */
package edu.uoc.eAquarium.integration.User;
import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;

/**
 * JPA Class UserAdministrationJPA
 */
@Entity
@DiscriminatorValue(value = "U")
public class UserRegisteredJPA extends UserJPA {
 
	private static final long serialVersionUID = 1L;
	
	private String email;
	
	private String address;

	
	public UserRegisteredJPA() {
		super();
	}
	
	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}
	
	
	
}
